WMDISKMON(1)

NAME
wmdiskmon - A dockapp to monitor disks usage.

SYNOPSIS
wmdiskmon [options]

DESCRIPTION
This manual page documents briefly the wmdiskmon command.

WMDiskMon is a program to monitor disks usage. It is a dockapp that is supported by X window managers such as Window Maker, AfterStep, BlackBox, and Enlightenment. The dockapp has two modes. The default displays three devices at a time in a bargraph manner. The other displays only one device, but with numeric percentage and a longer name over three lines. In default mode, clicking on the arrows scrolls the devices list up and down. In single mode, it cycles through the list. In both modes, clicking with left button on the background toggles the back light. Clicking on the background with the middle button toggles displays of entries (devices or mount points). With the control key, the same action toggles mode.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-d, --display <string>
    Attempt to open a window on the named X display. In the absence of this option, the display specified by the DISPLAY environment variable is used.

-bl, --backlight
    turn on back-light.

-lc, --light-color <color>
    back-light color. (rgb:6E/C6/3B is default)

-i, --interval <number>
    number of secs between updates. (1 is default)

-h, --help
    show help text and exit.

-v, --version
    show program version and exit.

-w, --windowed
    run the application in windowed mode

-bw, --broken-wm
    activate broken window manager fix

-p, --partition <device>
    monitor the <device> partition (may be used more than once), a NFS device can also be specified (in fact all that is in the 1rst column of df -P, the POSIX df behavior)

-n, --device
    show device instead of mount point

-s, --single
    show only one device at a time (default behavior is to display 3)

BUGS
The program uses the POSIX command df -P. If your system does not support this command, then you should send me a mail telling me with command give the same result for your OS.

SEE ALSO
df(1)

AUTHOR
WMDiskMon was assembled by Thomas Nemeth <tnemeth@free.fr>. It is largely based on WMMemMon and WMCPULoad by Seiichi SATO <ssato@sh.rim.or.jp> and WMMemLoad by Mark Staggs <me@markstaggs.net>.